<script setup>
import Flex from "@/components/atoms/container/Flex.vue";
import HelpText from "@/components/atoms/form/HelpText.vue";
import Label from "@/components/atoms/form/Label.vue";

defineProps({
  label: String,
  id: String,
  help: String,
  row: Boolean
})
</script>

<template>
  <Flex class="gap-text" :class="row ? 'items-center' : 'flex-col'">
    <Label :for="id" v-if="label">{{ label }}</Label>
    <Flex class="flex-col" :class="row ?'gap-text' : ''">
      <slot/>
      <HelpText :id="id+'-help'" v-if="help">{{ help }}</HelpText>
    </Flex>
  </Flex>
</template>